Journeys

List journey runs (Preview)

Preview · Available to selected organizations. Returns a journey's runs, newest first, optionally filtered by status or contact. Pass nextCursor back as cursor for the next page.

GET
/v1/journeys/{id}/runs

Returns a journey's runs, newest first, optionally filtered by status or contact. Pass nextCursor back as cursor for the next page.

x-api-key<token>

In: header

Path Parameters

id*string
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

status?|null
contactId?|null
limit?string|null
cursor?Cursor|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/journeys/string/runs"
{  "items": [    {      "id": "string",      "journeyId": "string",      "version": -9007199254740991,      "contactId": "string",      "status": "active",      "exitReason": "completed",      "failureReason": "string",      "currentNodeId": "string",      "holdReason": "string",      "holdUntil": "string",      "trigger": {        "eventId": "string",        "eventName": "string",        "properties": {          "property1": "string",          "property2": "string"        }      },      "enteredAt": "string",      "endedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation